Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.cardcontact.opencard.terminal.ctapi4ocf
Class CTAPIWithKeyboardCardTerminal

    java.lang.Object
      opencard.core.terminal.CardTerminal
          de.cardcontact.opencard.terminal.ctapi4ocf.CTAPICardTerminal
              de.cardcontact.opencard.terminal.ctapi4ocf.CTAPIWithKeyboardCardTerminal

All Implemented Interfaces:
  Pollable, VerifiedAPDUInterface, TerminalCommand

    public class CTAPIWithKeyboardCardTerminal

extends CTAPICardTerminal
implements VerifiedAPDUInterface

Field Summary

Fields inherited from class de.cardcontact.opencard.terminal.ctapi4ocf.CTAPICardTerminal
`cardIdTable, cardStatus, CT, ctn, getStatus, pn, requestICC, sync, termopened`

Fields inherited from class opencard.core.terminal.CardTerminal
`address, name, slots, type`

Constructor Summary
`protected` | `CTAPIWithKeyboardCardTerminal(java.lang.String name, java.lang.String type, java.lang.String device, java.lang.String libname)`

Method Summary
`ResponseAPDU` | `sendVerifiedCommandAPDU(SlotChannel chann, CommandAPDU capdu, CHVControl vc)` Send a `CommandAPDU` and have it verified by the `CardTerminal`.

Methods inherited from class de.cardcontact.opencard.terminal.ctapi4ocf.CTAPICardTerminal
`close, getCardID, getStatus, internalReset, internalSendAPDU, isCardPresent, open, poll, sendTerminalCommand`

Methods inherited from class opencard.core.terminal.CardTerminal
`addSlots, cardInserted, cardRemoved, closeSlotChannel, enumerateSlots, features, getAddress, getCardID, getName, getSlot, getSlots, getType, internalCloseSlotChannel, internalFeatures, internalOpenSlotChannel, internalOpenSlotChannel, internalReset, isCardPresent, isSlotChannelAvailable, isSlotChannelAvailable, openSlotChannel, openSlotChannel, openSlotChannel, reset, reset, reset, sendAPDU, sendAPDU, sendVerifiedCommandAPDU, slots, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface opencard.core.terminal.VerifiedAPDUInterface
`sendVerifiedCommandAPDU`

Constructor Detail

### CTAPIWithKeyboardCardTerminal

    protected CTAPIWithKeyboardCardTerminal(java.lang.String name,
                                            java.lang.String type,
                                            java.lang.String device,
                                            java.lang.String libname)
                                     throws CardTerminalException

Throws:
  `CardTerminalException`

Method Detail

### sendVerifiedCommandAPDU

    public ResponseAPDU sendVerifiedCommandAPDU(SlotChannel chann,
                                                CommandAPDU capdu,
                                                CHVControl vc)
                                         throws CardTerminalException

  Description copied from interface: `VerifiedAPDUInterface`
  Send a `CommandAPDU` and have it verified by the `CardTerminal`.

  Specified by:
    `sendVerifiedCommandAPDU` in interface `VerifiedAPDUInterface`
  Parameters:
    `chann` - The `SlotChannel` indicating which slot this method applies to.
    `capdu` - The `CommandAPDU` to send.
    `vc` - A `CardVerifyControl` object indicating the verification parameters to use.
  Returns:
    The `ResponseAPDU` as received from the smart card.
  Throws:
    `CardTerminalException` - Thrown when an error condition occured.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD